Name:		fldigi
Version:	4.2.04
Release:	%mkrel 1
Summary:	A software modem for Amateur Radio use
License:	GPLv3+
Group:		Communications/Radio
URL:		http://www.w1hkj.com
Source0:	http://www.w1hkj.com/files/%{name}/%{name}-%{version}.tar.gz
BuildRequires:	pkgconfig(hamlib) >= 4.1
BuildRequires:	pkgconfig(libpng) >= 1.2.8
BuildRequires:	pkgconfig(libpulse-simple) >= 0.9.7
BuildRequires:	pkgconfig(portaudio-2.0) >= 19
BuildRequires:	pkgconfig(samplerate) >= 0.1.1
BuildRequires:	pkgconfig(sndfile) >= 1.0.10
BuildRequires:	pkgconfig(x11)
BuildRequires:	fltk-devel
BuildRequires:	asciidoc
BuildRequires:	desktop-file-utils

%description
Fldigi is a software modem for Amateur Radio use. It is a sound card based
program that is used for both transmitting and receiving data in any of the
following modes:

* BPSK and QPSK 31, 63, 125, 250 (both), and 63F and 500 (BPSK only)
* PSKR 125, 250, and 500
* CW speeds from 5 to 200 wpm
* DominoEX 4, 5, 8, 11, 16 and 22; also with FEC
* Hellschreiber Feld Hell, Slow Hell, Hell x5/x9, FSKHell(-105) and Hell 80
* MFSK 4, 8, 11, 16, 22, 31, 32 and 64; most with image support
* MT63 500, 1000 and 2000
* OLIVIA various tones and bandwidths
* RTTY various baud rates, shifts, nbr. of data bits, etc.
* THOR 4, 5, 8, 11, 16 and 22
* Throb and ThrobX 1, 2, and 4
* WWV receive only - calibrate your sound card to WWV
* Frequency Analysis receive only - measure the frequency of a carrier

Fldigi can also control a transceiver using Hamlib or RigCAT I/O, perform
online or cdrom QRZ queries, log QSOs with the built-in logbook or Xlog,
and send reception reports to the PSK Automatic Propagation Reporter.

%prep
%setup -q

%build
%configure --disable-rpath --without-asciidoc
%make_build ASCIIDOC_ICONS_DIR=%{_sysconfdir}/asciidoc/images/icons V=1

%install
%make_install

desktop-file-install \
--dir=%{buildroot}%{_datadir}/applications \
--remove-category='Network' \
--add-category='AudioVideo' \
--add-category='Audio' \
--add-category='X-Mageia-CrossDesktop' \
%{buildroot}%{_datadir}/applications/fldigi.desktop

desktop-file-install \
--dir=%{buildroot}%{_datadir}/applications \
--remove-category='Network' \
--add-category='AudioVideo' \
--add-category='Audio' \
--add-category='X-Mageia-CrossDesktop' \
%{buildroot}%{_datadir}/applications/flarq.desktop

%find_lang %{name}

%files -f %{name}.lang
%doc README NEWS AUTHORS doc/guide*
%{_bindir}/flarq
%{_bindir}/%{name}
%{_datadir}/applications/*.desktop
%{_datadir}/%{name}/
%{_datadir}/pixmaps/*.xpm
%{_mandir}/man1/flarq.1*
%{_mandir}/man1/%{name}.1*


%changelog
* Sun Jan 21 2024 daviddavid <daviddavid> 4.2.04-1.mga10
+ Revision: 2033357
- new version: 4.2.04

* Mon Sep 04 2023 daviddavid <daviddavid> 4.2.00-1.mga10
+ Revision: 1983926
- new version: 4.2.00

* Sat Feb 18 2023 daviddavid <daviddavid> 4.1.25-1.mga9
+ Revision: 1943836
- new version: 4.1.25

* Thu Oct 06 2022 neoclust <neoclust> 4.1.23-1.mga9
+ Revision: 1895190
- New version 4.1.23

* Fri Apr 01 2022 umeabot <umeabot> 4.1.18-2.mga9
+ Revision: 1838921
- Mageia 9 Mass Rebuild

* Tue Mar 02 2021 daviddavid <daviddavid> 4.1.18-1.mga9
+ Revision: 1695984
- new version: 4.1.18

* Tue Feb 02 2021 barjac <barjac> 4.1.17-2.mga8
+ Revision: 1674578
- fix description formatting

* Tue Dec 15 2020 daviddavid <daviddavid> 4.1.17-1.mga8
+ Revision: 1657711
- new version: 4.1.17

* Tue Dec 01 2020 wally <wally> 4.1.15-3.mga8
+ Revision: 1651285
- build without broken asciidoc

* Sat Oct 31 2020 barjac <barjac> 4.1.15-2.mga8
+ Revision: 1640760
- rebuild for hamlib-4.1

* Thu Oct 22 2020 daviddavid <daviddavid> 4.1.15-1.mga8
+ Revision: 1638318
- new version: 4.1.15

* Sat Jul 11 2020 daviddavid <daviddavid> 4.1.13-1.mga8
+ Revision: 1604846
- new version: 4.1.13

* Fri Apr 24 2020 daviddavid <daviddavid> 4.1.12-1.mga8
+ Revision: 1571536
- new version: 4.1.12

* Thu Apr 02 2020 daviddavid <daviddavid> 4.1.11-1.mga8
+ Revision: 1563941
- new version: 4.1.11

* Thu Feb 20 2020 umeabot <umeabot> 4.1.09-3.mga8
+ Revision: 1546334
- Mageia 8 Mass Rebuild

* Sat Feb 01 2020 barjac <barjac> 4.1.09-2.mga8
+ Revision: 1486354
- rebuild for hamlib-4.0

* Sun Jan 26 2020 daviddavid <daviddavid> 4.1.09-1.mga8
+ Revision: 1483264
- new version: 4.1.09
+ wally <wally>
- replace deprecated %%configure2_5x

* Tue Sep 03 2019 daviddavid <daviddavid> 4.1.08-1.mga8
+ Revision: 1436519
- new version: 4.1.08

* Wed Jul 24 2019 daviddavid <daviddavid> 4.1.06-1.mga8
+ Revision: 1423659
- new version: 4.1.06

* Thu Jul 04 2019 daviddavid <daviddavid> 4.1.05-1.mga8
+ Revision: 1418484
- new version: 4.1.05

* Mon Apr 22 2019 daviddavid <daviddavid> 4.1.03-1.mga7
+ Revision: 1394744
- new version: 4.1.03

* Sun Apr 14 2019 daviddavid <daviddavid> 4.1.02-1.mga7
+ Revision: 1390068
- new version: 4.1.02

* Sat Sep 15 2018 daviddavid <daviddavid> 4.0.18-1.mga7
+ Revision: 1259043
- new version: 4.0.18

* Fri Aug 24 2018 daviddavid <daviddavid> 4.0.17-1.mga7
+ Revision: 1253691
- new version: 4.0.17

* Mon Oct 30 2017 daviddavid <daviddavid> 4.0.12-1.mga7
+ Revision: 1174874
- new version: 4.0.12

* Fri Nov 18 2016 daviddavid <daviddavid> 3.23.16-1.mga6
+ Revision: 1068148
- new version: 3.23.16

* Sun Feb 14 2016 umeabot <umeabot> 3.23.01-2.mga6
+ Revision: 960095
- Mageia 6 Mass Rebuild

* Mon Sep 28 2015 barjac <barjac> 3.23.01-1.mga6
+ Revision: 884896
- new version 3.23.01

* Mon Aug 17 2015 fwang <fwang> 3.22.13-1.mga6
+ Revision: 865238
- update file list
- 3.22.13
- rebuild for new fltk

* Wed Oct 15 2014 umeabot <umeabot> 3.21.76-4.mga5
+ Revision: 745836
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.21.76-3.mga5
+ Revision: 679230
- Mageia 5 Mass Rebuild

* Tue Oct 22 2013 umeabot <umeabot> 3.21.76-2.mga4
+ Revision: 541356
- Mageia 4 Mass Rebuild

* Sat Oct 12 2013 fwang <fwang> 3.21.76-1.mga4
+ Revision: 495668
- new version 3.21.76

* Sun Aug 18 2013 wally <wally> 3.21.74-1.mga4
+ Revision: 467425
- new version 3.21.74

* Fri Jun 28 2013 dams <dams> 3.21.72-1.mga4
+ Revision: 448085
- new version 3.21.72
- clean specfile

* Mon Jun 03 2013 fwang <fwang> 3.21.68-2.mga4
+ Revision: 435853
- rebuild for new libpng

* Wed Mar 20 2013 barjac <barjac> 3.21.68-1.mga3
+ Revision: 404124
- corrected .desktop files category
- new minor version 3.21.68

* Fri Jan 11 2013 umeabot <umeabot> 3.21.61-2.mga3
+ Revision: 350513
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Nov 15 2012 fwang <fwang> 3.21.61-1.mga3
+ Revision: 318076
- new version 3.21.61

* Mon Oct 22 2012 dams <dams> 3.21.58-1.mga3
+ Revision: 309256
- new version 3.21.58

* Wed Oct 03 2012 malo <malo> 3.21.50-2.mga3
+ Revision: 302263
- update RPM group

* Thu Aug 16 2012 fedya <fedya> 3.21.50-1.mga3
+ Revision: 281659
- version update 3.21.50

* Wed Mar 14 2012 ennael <ennael> 3.21.40-1.mga2
+ Revision: 223418
- 3.21.40
- imported package fldigi


* Fri Jun 17 2011 Jani Välimaa <wally@mandriva.org> 3.21.11-1mdv2011.0
+ Revision: 685839
- update to new version 3.21.11

* Sat Apr 30 2011 Jani Välimaa <wally@mandriva.org> 3.21.9-1
+ Revision: 661069
- new version 3.21.9

* Thu Apr 07 2011 Jani Välimaa <wally@mandriva.org> 3.21.8-1
+ Revision: 651736
- update to new version 3.21.8

* Sat Apr 02 2011 Jani Välimaa <wally@mandriva.org> 3.21.7-1
+ Revision: 649863
- new version 3.21.7

* Mon Mar 14 2011 Jani Välimaa <wally@mandriva.org> 3.21.5-1
+ Revision: 644650
- new version 3.21.5
- fix source tag

* Sat Dec 25 2010 Jani Välimaa <wally@mandriva.org> 3.20.33-1mdv2011.0
+ Revision: 624884
- new version 3.20.33
- fix license
- use find_lang macro
- increase build time verbosity
- package guide.txt and guide.html docs

* Sun Nov 07 2010 Thomas Spuhler <tspuhler@mandriva.org> 3.20.29-1mdv2011.0
+ Revision: 594388
- Increased version to 3.20.29 and release to 1
- removed3.20.28 source
- added source 3.20.29

* Sun Nov 07 2010 Thomas Spuhler <tspuhler@mandriva.org> 3.20.28-2mdv2011.0
+ Revision: 594377
- Cleaned up specfile and increased rel

* Sun Nov 07 2010 Thomas Spuhler <tspuhler@mandriva.org> 3.20.28-1mdv2011.0
+ Revision: 594366
- import fldigi

